package com.neusoft.smart.pos.payorder.persistent.mapper;

import com.neusoft.smart.pos.payorder.persistent.domain.TradeMchPayDetail;
import com.neusoft.smart.pos.payorder.persistent.domain.TradeMchPayDetailExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TradeMchPayDetailMapper {
    int countByExample(TradeMchPayDetailExample example);

    int deleteByExample(TradeMchPayDetailExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(TradeMchPayDetail record);

    int insertSelective(TradeMchPayDetail record);

    List<TradeMchPayDetail> selectByExample(TradeMchPayDetailExample example);

    TradeMchPayDetail selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") TradeMchPayDetail record, @Param("example") TradeMchPayDetailExample example);

    int updateByExample(@Param("record") TradeMchPayDetail record, @Param("example") TradeMchPayDetailExample example);

    int updateByPrimaryKeySelective(TradeMchPayDetail record);

    int updateByPrimaryKey(TradeMchPayDetail record);

    void batchInsert(@Param("items") List<TradeMchPayDetail> items);
}